# AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase

- java.lang.Object
- - io.dapr.v1.AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase

All Implemented Interfaces:
  `io.grpc.BindableService`

Enclosing class:
  AppCallbackHealthCheckGrpc

    public abstract static class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase
    extends Object
    implements io.grpc.BindableService

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

### Constructor Summary

Constructors
`AppCallbackHealthCheckImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `healthCheck​(com.google.protobuf.Empty request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.HealthCheckResponse> responseObserver)` Health check.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppCallbackHealthCheckImplBase

    public AppCallbackHealthCheckImplBase()

### Method Detail

#### healthCheck

    public void healthCheck​(com.google.protobuf.Empty request,
                            io.grpc.stub.StreamObserver<DaprAppCallbackProtos.HealthCheckResponse> responseObserver)

     Health check.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`